import {Component, OnInit} from '@angular/core';
import {Select, Store} from '@ngxs/store';
import {ViewDIP} from '@app/access/access.action';
import {Observable} from 'rxjs';


@Component({
  selector: 'dlcm-access-view',
  templateUrl: './access-view.component.html',
  styleUrls: ['./access-view.component.scss'],
})
export class AccessViewComponent implements OnInit {
  @Select(state => state.animals) animals$: Observable<any>;

  constructor(private store: Store) {
  }

  ngOnInit() {
  }

  viewDIP(name: string) {
    this.store.dispatch(new ViewDIP(name));
  }

}
