import {NgModule} from '@angular/core';
import {DepositService} from '@app/deposit/services/deposit.service';
import {DepositViewComponent} from '@app/deposit/views/deposit-view/deposit-view.component';
import {SharedModule} from '@app/shared/shared.module';

const components = [];

const views = [
  DepositViewComponent,
];

@NgModule({
  declarations: [
    ...components,
    ...views,
  ],
  imports: [
    SharedModule,
  ],
  exports: [
    ...views,
  ],
  providers: [
    DepositService,
  ],
})
export class DepositModule {
}
